{% extends 'base.html.twig' %}

{% block title %}Log in{% endblock %}

{% block body %}

<div style="background-color: #f8f9fc; min-height: 100%">
    <div class="container-fluid px-5">
        <form method="post">
            <div class="row justify-content-center">
                <div class="col-5 mb-5 mt-5">
                    <div class="row justify-content-center">
                        <div class="col-12">
                            <h1 class="font-weight-bold d-inline">Connectez-vous</h1>
                        </div>
                        {% if app.user %}
                        <div class="col-12 mt-3">
                            <h5 class="font-weight-light">You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a></h5>
                        </div>
                        {% endif %}
                        {% if error %}
                        <div class="col-12">
                            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                        </div>
                        {% endif %}

                        <div class="form-group w-75 mt-5 pb-3">
                            <label for="inputEmail" class="sr-only">Email</label>
                            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" placeholder="Email" required autofocus>
                        </div>
                        <div class="form-group w-75 m-auto pb-3">
                            <label for="inputPassword" class="sr-only">Mot de passe</label>
                            <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Mot de passe" required autofocus>
                        </div>
                        <input type="hidden" name="_csrf_token"
                               value="{{ csrf_token('authenticate') }}"
                        >
                        <div class="col-12 text-right">
                            <button class="btn btn-lg d-inline btn-success btn-block text-right w-50 mt-4 mb-3" type="submit">
                                Connexion
                            </button>
                        </div>
                        <div class="col-12 text-right">
                            <p>Vous n'avez pas de compte ? <a href="{{ path('app_register') }}">Créez en un</a></p>
                        </div>
                        <div class="text-center mt-5">
                        <label>Ce site fut réalisé par Even Soulard, Malo Royan ainsi que Briac Hillion</label>
                        </div>
                        </div>
                </div>
            </div>
        </form>
    </div>
</div>

{% endblock %}
